LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
current_context.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "uno/current_context.h"`
`#include "uno/lbnames.h"`
`#include "com/sun/star/uno/XCurrentContext.hpp"`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::ContextLayer
| Objects of this class are used for applying a current context until they are destructed, i.e. More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Functions
Reference< XCurrentContext > | com::sun::star::uno::getCurrentContext ()
| Getting the current context.
bool | com::sun::star::uno::setCurrentContext (Reference< XCurrentContext > const &xContext)
| Setting the current context.